<?
/*
An attempt at i18n'ing UniSearcher. A lame, foul attempt, probably. I'll
support all the languages I can, but that won't be many 'cause I'm stupid.
If anyone would like to donate a set of definitions for their own language,
I'll be happy to include it here once I've verified it isn't all outright
vulgarity. :) I prefer it in the HTML entities version, too; much easier
on me than *actual* multibyte characters... but I can, of course, convert
anything submitted INTO html entities because I have... the UniSearcher.
(All my plans have fallen into place... eeeeeexcellent...) You can, too.
I'm certain several of these suck, especially Vietnamese, because I'm not
really a linguist. I'm a programmer and I solve puzzles but some puzzles
are like that satanic box from the Hellraiser movies, you know the one...
*/

$word=$label=array();

//// English==0
$word['en']['codepoint']='Codepoint';
$word['en']['hex']='hexadecimal';
$word['en']['dec']='decimal';
$word['en']['help']='Help';
$word['en']['english']='English';
$word['en']['string']='Character String';
$label['en']['hcodepoint']=$word['en']['codepoint'].' ('.$word['en']['hex'].')';
$label['en']['dcodepoint']=$word['en']['codepoint'].' ('.$word['en']['dec'].')';
$label['en']['shift-jis']='Shift-JIS ('.$word['en']['hex'].')';
$label['en']['utf8hex']='UTF8 ('.$word['en']['hex'].')';
$label['en']['utf8string']='UTF8 ' . $word['en']['string'];
$label['en']['description']='Description ('.$word['en']['english'].')';
$label['en']['definition']='Definition ('.$word['en']['english'].')';
$label['en']['pronunciation']='Pronunciation ('.$word['en']['english'].')';

//// Japanese==1
$lp='&#12304;'; // left and right parentheses, specific to japanese...
$rp='&#12305;';
$word['jp']['hex']='16&#36914;&#27861;';
$word['jp']['dec']='&#12487;&#12471;&#12510;&#12523;';
$word['jp']['codepoint']='&#12467;&#12540;&#12489;&#12509;&#12452;&#12531;&#12488;';
$word['jp']['help']='&#21161;';
$word['jp']['english']='&#33521;';
$word['jp']['string']='&#12473;&#12488;&#12522;&#12531;&#12464;';
$label['jp']['hcodepoint']=$word['jp']['codepoint'].' '.$lp.$word['jp']['hex'].$rp;
$label['jp']['dcodepoint']=$word['jp']['codepoint'].' '.$lp.$word['jp']['dec'].$rp;
$label['jp']['shift-jis']='&#12471;&#12501;&#12488;-JIS '.$lp.$word['jp']['hex'].$rp;
$label['jp']['utf8hex']='UTF8 '.$lp.$word['jp']['hex'].$rp;
$label['jp']['utf8string']='UTF8 '.$word['jp']['string'];
//$label['jp']['description']='&#35500;&#26126; '.$lp.$word['jp']['english'].$rp;
$label['jp']['description']=$word['jp']['english'].'&#35500;&#26126;';
//$label['jp']['definition']='&#33521;&#23450;&#32681; '.$lp.$word['jp']['english'].$rp;
$label['jp']['definition']=$word['jp']['english'].'&#23450;&#32681;';
//$label['jp']['pronunciation']='&#30330;&#38899; '.$lp.$word['jp']['english'].$rp;
$label['jp']['pronunciation']=$word['jp']['english'].'&#30330;&#38899;';

//// Spanish==2
$word['es']['hex']='hexadecimal';
$word['es']['dec']='decimal';
$word['es']['codepoint']='Punto de c&#243;digo';
$word['es']['help']='Ayuda';
$word['es']['english']='Ingl&#233;s';
$word['es']['string']='Caracteres';
$label['es']['hcodepoint']=$word['es']['codepoint'].' ('.$word['es']['hex'].')';
$label['es']['dcodepoint']=$word['es']['codepoint'].' ('.$word['es']['dec'].')';
$label['es']['shift-jis']='S-JIS ('.$word['es']['hex'].')';
$label['es']['utf8hex']='UTF8 ('.$word['es']['hex'].')';
$label['es']['utf8string']='UTF8 '.$word['es']['string'];
$label['es']['description']='Descripci&#243;n ('.$word['es']['english'].')';
$label['es']['definition']='Definici&#243;n ('.$word['es']['english'].')';
$label['es']['pronunciation']='Pronunciaci&#243;n ('.$word['es']['english'].')';

//// German==3
$word['de']['hex']='hexadezimal';
$word['de']['dec']='dezimal';
$word['de']['codepoint']='Kennzahlpunkt';
$word['de']['help']='Hilfe';
$word['de']['english']='Englisch';
$word['de']['string']='Buchstaben'; // "letters"
$label['de']['hcodepoint']=$word['de']['codepoint'].' ('.$word['de']['hex'].')';
$label['de']['dcodepoint']=$word['de']['codepoint'].' ('.$word['de']['dec'].')';
$label['de']['shift-jis']='S-JIS ('.$word['de']['hex'].')';
$label['de']['utf8hex']='UTF8 ('.$word['de']['hex'].')';
$label['de']['utf8string']='UTF8 '.$word['de']['string'];
$label['de']['description']='Beschreibung ('.$word['de']['english'].')';
$label['de']['definition']='Definition ('.$word['de']['english'].')'; // same as english??
$label['de']['pronunciation']='Aussprache ('.$word['de']['english'].')';

//// French==4
$word['fr']['hex']='hexad&#233;cimal';
$word['fr']['dec']='d&#233;cimal';
$word['fr']['codepoint']='Point de code';
$word['fr']['help']='Aide';
$word['fr']['english']='Anglais';
$word['fr']['string']='Caract&#232;res';
$label['fr']['hcodepoint']=$word['fr']['codepoint'].' ('.$word['fr']['hex'].')';
$label['fr']['dcodepoint']=$word['fr']['codepoint'].' ('.$word['fr']['dec'].')';
$label['fr']['shift-jis']='S-JIS ('.$word['fr']['hex'].')';
$label['fr']['utf8hex']='UTF8 ('.$word['fr']['hex'].')';
$label['fr']['utf8string']='UTF8 '.$word['fr']['string'];
$label['fr']['description']='Description ('.$word['fr']['english'].')';
$label['fr']['definition']='D&#233;finition ('.$word['fr']['english'].')';
$label['fr']['pronunciation']='Prononciation ('.$word['fr']['english'].')';

//// Italian==5
$word['it']['hex']='esadecimale';
$word['it']['dec']='decimale';
$word['it']['codepoint']='Punto di codice';
$word['it']['help']='Aiuto';
$word['it']['english']='Inglese';
$word['it']['string']='Caratteri';
$label['it']['hcodepoint']=$word['it']['codepoint'].' ('.$word['it']['hex'].')';
$label['it']['dcodepoint']=$word['it']['codepoint'].' ('.$word['it']['dec'].')';
$label['it']['shift-jis']='S-JIS ('.$word['it']['hex'].')';
$label['it']['utf8hex']='UTF8 ('.$word['it']['hex'].')';
$label['it']['utf8string']='UTF8 '.$word['it']['string'];
$label['it']['description']='Descrizione ('.$word['it']['english'].')';
$label['it']['definition']='Definizione ('.$word['it']['english'].')';
$label['it']['pronunciation']='Pronuncia ('.$word['it']['english'].')';

//// Greek==6
$word['gr']['hex']='&#948;&#949;&#954;&#945;&#949;&#958;&#945;&#948;&#953;&#954;&#972;';
$word['gr']['dec']='&#948;&#949;&#954;&#945;&#948;&#953;&#954;&#972;&#962;';
$word['gr']['codepoint']='&#931;&#951;&#956;&#949;&#943;&#959; &#954;&#974;&#948;&#953;&#954;&#945;';
$word['gr']['help']='&#946;&#959;&#942;&#952;&#949;&#953;&#945;';
$word['gr']['english']='&#913;&#947;&#947;&#955;&#953;&#954;&#940;';
$word['gr']['string']='&#935;&#945;&#961;&#945;&#954;&#964;&#942;&#961;&#949;&#962;';
$label['gr']['hcodepoint']=$word['gr']['codepoint'].' ('.$word['gr']['hex'] . ')';
$label['gr']['dcodepoint']=$word['gr']['codepoint'].' ('.$word['gr']['dec'] . ')';
$label['gr']['shift-jis']='S-JIS ('.$word['gr']['hex'].')';
$label['gr']['utf8hex']='UTF8 ('.$word['gr']['hex'].')';
$label['gr']['utf8string']='UTF8 '.$word['gr']['string'];
$label['gr']['description']='&#928;&#949;&#961;&#953;&#947;&#961;&#945;&#966;&#942; ('.$word['gr']['english'].')';
$label['gr']['definition']='&#922;&#945;&#952;&#959;&#961;&#953;&#963;&#956;&#972;&#962; ('.$word['gr']['english'].')';
$label['gr']['pronunciation']='&#928;&#961;&#959;&#966;&#959;&#961;&#940; ('.$word['gr']['english'].')';

//// Korean==7
$word['kr']['hex']='16 &#51652;&#48277;';
$word['kr']['dec']='&#49901;&#51652;&#48277;';
$word['kr']['codepoint']='&#53076;&#46300; &#54252;&#51064;&#53944;';
$word['kr']['help']='&#46020;&#50880;';
$word['kr']['english']='&#50689;&#50612;';
$word['kr']['string']='&#53945;&#49457;';
$label['kr']['hcodepoint']='('.$word['kr']['hex'].') '.$word['kr']['codepoint'];
$label['kr']['dcodepoint']='('.$word['kr']['dec'].') '.$word['kr']['codepoint'];
$label['kr']['shift-jis']='('.$word['kr']['hex'].') S-JIS';
$label['kr']['utf8hex']='('.$word['kr']['hex'].') UTF8';
$label['kr']['utf8string']='UTF8 '.$word['kr']['string'];
$label['kr']['description']='('.$word['kr']['english'].') &#47896;&#49324;';
$label['kr']['definition']='('.$word['kr']['english'].') &#51221;&#51032;';
$label['kr']['pronunciation']='('.$word['kr']['english'].') &#48156;&#51020;';

//// Russian==8
$word['ru']['hex']='&#1096;&#1077;&#1089;&#1090;&#1085;&#1072;&#1076;&#1094;&#1072;&#1090;&#1080;&#1088;&#1080;&#1095;&#1085;&#1099;&#1081;';
$word['ru']['dec']='&#1076;&#1077;&#1089;&#1103;&#1090;&#1080;&#1095;&#1085;&#1086;';
$word['ru']['codepoint']='&#1055;&#1091;&#1085;&#1082;&#1090; &#1050;&#1086;&#1076;&#1077;&#1075;&#1086;';
$word['ru']['help']='&#1087;&#1086;&#1084;&#1086;&#1097;&#1100;';
$word['ru']['english']='&#1040;&#1085;&#1075;&#1083;&#1080;&#1081;&#1089;&#1082;&#1086;';
$word['ru']['string']='&#1061;&#1072;&#1088;&#1072;&#1082;&#1090;&#1077;&#1088;&#1099;';
$label['ru']['hcodepoint']=$word['ru']['codepoint'].' ('.$word['ru']['hex'] . ')';
$label['ru']['dcodepoint']=$word['ru']['codepoint'].' ('.$word['ru']['dec'] . ')';
$label['ru']['shift-jis']='S-JIS ('.$word['ru']['hex'].')';
$label['ru']['utf8hex']='UTF8 ('.$word['ru']['hex'].')';
$label['ru']['utf8string']='UTF8 '.$word['ru']['string'];
$label['ru']['description']='&#1054;&#1087;&#1080;&#1089;&#1072;&#1085;&#1080;&#1077; ('.$word['ru']['english'].')';
$label['ru']['definition']='&#1054;&#1087;&#1088;&#1077;&#1076;&#1077;&#1083;&#1077;&#1085;&#1080;&#1077; ('.$word['ru']['english'].')';
$label['ru']['pronunciation']='&#1042;&#1099;&#1075;&#1086;&#1074;&#1086;&#1088; ('.$word['ru']['english'].')';

//// Dutch==9
$word['nl']['hex']='Het hexadecimale';
$word['nl']['dec']='decimaal';
$word['nl']['codepoint']='Punt van de code';
$word['nl']['help']='Hulp';
$word['nl']['english']='Engels';
$word['nl']['string']='Karakters';
$label['nl']['hcodepoint']='('.$word['nl']['hex'].') '.$word['nl']['codepoint'];
$label['nl']['dcodepoint']='('.$word['nl']['dec'].') '.$word['nl']['codepoint'];
$label['nl']['shift-jis']='('.$word['nl']['hex'].') S-JIS';
$label['nl']['utf8hex']='('.$word['nl']['hex'].') UTF8';
$label['nl']['utf8string']='UTF8 '.$word['nl']['string'];
$label['nl']['description']='('.$word['nl']['english'].') Beschrijving';
$label['nl']['definition']='('.$word['nl']['english'].') Definitie';
$label['nl']['pronunciation']='('.$word['nl']['english'].') Uitspraak';

//// Chinese==10
$lp='&#65288;'; // left and right parentheses, specific to chinese...
$rp='&#65289;';
$word['cn']['hex']='&#21313;&#20845;&#36914;&#21046;';
$word['cn']['dec']='&#23567;&#25976;';
$word['cn']['codepoint']='&#30908;&#40670;';
$word['cn']['help']='&#24171;&#21161;';
$word['cn']['english']='&#33521;&#35486;';
$word['cn']['string']='&#23383;&#31526;';
$label['cn']['hcodepoint']=$word['cn']['codepoint'].' '.$lp.$word['cn']['hex'].$rp;
$label['cn']['dcodepoint']=$word['cn']['codepoint'].' '.$lp.$word['cn']['dec'].$rp;
$label['cn']['shift-jis']='S-JIS '.$lp.$word['cn']['hex'].$rp;
$label['cn']['utf8hex']='UTF8 '.$lp.$word['cn']['hex'].$rp;
$label['cn']['utf8string']='UTF8 '.$word['cn']['string'];
$label['cn']['description']='&#25551;&#36848; '.$lp.$word['cn']['english'].$rp;
$label['cn']['definition']='&#23450;&#32681; '.$lp.$word['cn']['english'].$rp;
$label['cn']['pronunciation']='&#30332;&#38899; '.$lp.$word['cn']['english'].$rp;

//// Vietnamese==11
$word['vn']['hex']='16-th&#7853;p ph&#226;n';
$word['vn']['dec']='th&#7853;p ph&#226;n';
$word['vn']['codepoint']='m&#227; &#273;i&#7875;m';
$word['vn']['help']='gi&#250;p';
$word['vn']['english']='ti&#7871;ng Anh';
$word['vn']['string']='m&#7897;t chu&#7895;i nh&#226;n v&#7853;t';
$label['vn']['hcodepoint']=$word['vn']['codepoint'].' ('.$word['vn']['hex'].')';
$label['vn']['dcodepoint']=$word['vn']['codepoint'].' ('.$word['vn']['dec'].')';
$label['vn']['shift-jis']='Shift-JIS ('.$word['vn']['hex'].')';
$label['vn']['utf8hex']='UTF8 ('.$word['vn']['hex'].')';
$label['vn']['utf8string']='UTF8 ' . $word['vn']['string'];
$label['vn']['description']='s&#7921; m&#244; t&#7843; ('.$word['vn']['english'].')';
$label['vn']['definition']='&#273;&#7883;nh ngh&#297;a ('.$word['vn']['english'].')';
$label['vn']['pronunciation']='ph&#225;t &#226;m ('.$word['vn']['english'].')';

/***** Another?
//// Lang==12
$word['']['hex']='';
$word['']['dec']='';
$word['']['codepoint']='';
$word['']['help']='';
$word['']['english']='';
$word['']['string']='';
$label['']['hcodepoint']=$word['']['codepoint'].' ('.$word['']['hex'].')';
$label['']['dcodepoint']=$word['']['codepoint'].' ('.$word['']['dec'].')';
$label['']['shift-jis']='Shift-JIS ('.$word['']['hex'].')';
$label['']['utf8hex']='UTF8 ('.$word['']['hex'].')';
$label['']['utf8string']='UTF8 ' . $word['']['string'];
$label['']['description']='Description ('.$word['']['english'].')';
$label['']['definition']='Definition ('.$word['']['english'].')';
$label['']['pronunciation']='Pronunciation ('.$word['']['english'].')';
*****/

$alllangs=array_keys($word);
$alllabels=array_keys($label['en']);

/* Really helpful stuff:

http://honyaku.yahoofs.jp/url_result?ctw_=sT,eCR-EJ,bT,hT,uaHR0cDovL3d3dy5pc3RoaXN0aGluZ29uLm9yZy91bmljb2RlL2luZGV4LnBodG1sP3BhZ2U9QTkmc3VicGFnZT01,qlang=ja|for=0|sp=-5|fs=100%|fb=0|fi=0|fc=FF0000|db=T|eid=CR-EJ,
http://dic.yahoo.co.jp/dsearch?stype=1&dtype=3&p=%E8%AA%AC%E6%98%8E  where $p is the url-form of the UTF-8 hex code.
*/
?>
